Subject: Re: Kconfig warnings on latest GIT

From: Timur Tabi <[email-masked]>
Date: Thu, 10 May 2007 11:56:48 -0500

Simon Horman wrote:

>> So my question is: in which Kconfig do I define "UCC_FAST_TEMP" and 
>> "UCC_SLOW_TEMP"?  At first I thought, just put it in drivers/Kconfig, but that 
>> Kconfig does nothing but including other Kconfigs.  I believe that if I submit 
>> a patch that adds "UCC_FAST_TEMP" and "UCC_SLOW_TEMP" to drivers/Kconfig, it 
>> will be rejected.  Either that, or I'll spend six weeks trying to persuade 
>> everyone that it's a good idea.
>>
>> Does anyone have any suggestions on how I can fix this?
> 
> That does seem like a reasonable suggestion, and one that
> would probably work well with the other similar problems
> that have been introduced sice 2.6.21.

Looks like the fix is simpler than I thought.  Instead of having

UCC_GETH
	select UCC_FAST

I need to do

UCC_FAST
	default y if UCC_GETH

I'll have a patch that fixes this out later today.

I chose the first method because I wanted each individual UCC device driver to select 
UCC_FAST or UCC_SLOW as appropriate, so that I wouldn't have to update 
arch/powerpc/sysdev/qe_lib/Kconfig every time we add a new UCC driver.  Oh well.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale